/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  有效任务类型
 */
@Getter
@AllArgsConstructor
public enum WmScoreTaskTypeEnum {

	TASK_TYPE_ENUM19("19", "一对一专访"),
	TASK_TYPE_ENUM1("1", "医院科室推广会"),
	TASK_TYPE_ENUM2("2", "区域学术沙龙"),
	TASK_TYPE_ENUM3("3", "城市卫星会"),
	TASK_TYPE_ENUM4("4", "省级学科年会"),
	TASK_TYPE_ENUM5("5", "医院拜访"),
	TASK_TYPE_ENUM6("6", "商业公司拜访"),
	TASK_TYPE_ENUM7("7", "电子名片分享"),
	TASK_TYPE_ENUM8("8", "产品相册分享"),
	TASK_TYPE_ENUM9("9", "学术信息交流"),
	TASK_TYPE_ENUM10("12", "政策信息收集"),
	TASK_TYPE_ENUM11("13", "竞品信息收集"),
	TASK_TYPE_ENUM12("14", "库存信息收集"),
	TASK_TYPE_ENUM13("15", "医院信息收集"),
	TASK_TYPE_ENUM14("16", "商业公司信息收集"),
	TASK_TYPE_ENUM15("17", "产品使用信息收集"),
	TASK_TYPE_ENUM16("18", "药店调查"),
	TASK_TYPE_ENUM17("p-1", "会议举办"),
	TASK_TYPE_ENUM18("p-2", "客户拜访"),
	TASK_TYPE_ENUM20("p-3", "市场信息收集"),
	TASK_TYPE_ENUM21("p-4", "产品推广"),
	TASK_TYPE_ENUM22("p-5", "学术信息交流");

	/**
	 * 类型
	 */
	private String type;

	/**
	 * 描述
	 */
	private String description;

}
